### Class

# Dex Cancellable

#### Description [src]

    final class Dex.Cancellable : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexCancellable` is a simple cancellation primitive which allows for you to create `DexFuture` that will reject upon cancellation.

Use this combined with other futures using `dex_future_all_race()` to create a future that resolves when all other futures complete or `dex_cancellable_cancel()` is called to reject.

#### Hierarchy

#### Ancestors

- DexFuture
- DexObject

#### Constructors

###### dex_cancellable_new

Create a new cancellable.

###### dex_cancellable_new_from_cancellable

Creates a new `DexCancellable` that will reject when `cancellable` is cancelled or `dex_cancellable_cancel()` is called.

#### Instance methods

###### dex_cancellable_cancel

Rejects `cancellable`.

##### Methods inherited from DexFuture (24)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.